Subject: Re: fatal: $HOME not set

From: Johannes Sixt <[email-masked]>
Date: Thu, 11 Dec 2008 12:09:32 +0100

JD Guzman schrieb:
> This is probably a really stupid question but I'm trying to run git outside
> of the shell provided by msysgit.
> Everything works however when I try to set config options I get the error in
> the subject line.  I would suspect this is because the windows command
> prompt isn't providing any information about the user's home directory.  My
> question is would this be something that I can set manually or does git rely
> on the OS to provide this information?

You can set it yourself to where you want git to store the .gitconfig
file. Do this in Settings->System->Advanced->Environment Variables,
section User variables. You can set it to %HOMEDRIVE%%HOMEPATH%  in order
point it somewhere below C:\Documents and Settings.

-- Hannes